summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/libspiff/Manifest8
-rw-r--r--dev-libs/libspiff/files/digest-libspiff-0.5.13
-rw-r--r--dev-libs/libspiff/libspiff-0.5.1.ebuild39
3 files changed, 50 insertions, 0 deletions
diff --git a/dev-libs/libspiff/Manifest b/dev-libs/libspiff/Manifest
index 80425d2c4..02f93ddd4 100644
--- a/dev-libs/libspiff/Manifest
+++ b/dev-libs/libspiff/Manifest
@@ -1,8 +1,13 @@
DIST libspiff-0.4.2.tar.bz2 188800 RMD160 43ec369a17d62f8d9109152d0acf0a10e021000f SHA1 ee4a183f1d9223b10c72a56c2cdfa754db5b3fdd SHA256 141523dd505f1d8e7e27fb40245e64a0634b84a7b5371e282e1c8faac800143a
+DIST libspiff-0.5.1.tar.bz2 191756 RMD160 06c9b97593c7f11c541c48b5a5836f978cf66500 SHA1 07c38ec9c4364cb99aeba0d393865296c6c3aa4f SHA256 12360e698f4e4d979cb06278ccde327641dad2c8dcbbf9c521b1aec7ddf01ad8
EBUILD libspiff-0.4.2.ebuild 775 RMD160 4ce2225002ca6c64eb481ec6db63aec74359b605 SHA1 fd64f50fe940c36402d952a30d294e99e8c75b0a SHA256 1d3a1b442c70354534234a8e96ef42591e73e431442b56f23378dcffae0c1324
MD5 687ca6766eaf3abd5591a63cfea911c0 libspiff-0.4.2.ebuild 775
RMD160 4ce2225002ca6c64eb481ec6db63aec74359b605 libspiff-0.4.2.ebuild 775
SHA256 1d3a1b442c70354534234a8e96ef42591e73e431442b56f23378dcffae0c1324 libspiff-0.4.2.ebuild 775
+EBUILD libspiff-0.5.1.ebuild 775 RMD160 4ce2225002ca6c64eb481ec6db63aec74359b605 SHA1 fd64f50fe940c36402d952a30d294e99e8c75b0a SHA256 1d3a1b442c70354534234a8e96ef42591e73e431442b56f23378dcffae0c1324
+MD5 687ca6766eaf3abd5591a63cfea911c0 libspiff-0.5.1.ebuild 775
+RMD160 4ce2225002ca6c64eb481ec6db63aec74359b605 libspiff-0.5.1.ebuild 775
+SHA256 1d3a1b442c70354534234a8e96ef42591e73e431442b56f23378dcffae0c1324 libspiff-0.5.1.ebuild 775
MISC ChangeLog 353 RMD160 6f262f88bb39852401361aeb023de9ba54e40f8a SHA1 fb3b7791aaea100197a4cfa70f8cf5ae31d68feb SHA256 e91785b83d2d89bfd0d1999a505f78cae6787ea04389a14b83fc2ff17fbc15fc
MD5 efcd56d4540215f86f22f8f2ff2ff6fd ChangeLog 353
RMD160 6f262f88bb39852401361aeb023de9ba54e40f8a ChangeLog 353
@@ -14,3 +19,6 @@ SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42 metadata
MD5 08826ce41830d61aae9a5e7490035351 files/digest-libspiff-0.4.2 247
RMD160 6f5aa40d6ab095c203ac758aec1ebae09f72a89b files/digest-libspiff-0.4.2 247
SHA256 0e608b75b0cd7a290883001d1777f38216337957229f3a607ac3f96f0de88086 files/digest-libspiff-0.4.2 247
+MD5 ab6dd321eb4b534f436af13e4d38ccb6 files/digest-libspiff-0.5.1 247
+RMD160 826ac87a7221c8c21b20761a059343033e5fd5ea files/digest-libspiff-0.5.1 247
+SHA256 f3b5f0453d0e773e8b6f9f5d975adeb065cf2806a3f83e29f51f01939796949c files/digest-libspiff-0.5.1 247
diff --git a/dev-libs/libspiff/files/digest-libspiff-0.5.1 b/dev-libs/libspiff/files/digest-libspiff-0.5.1
new file mode 100644
index 000000000..b2120c7f8
--- /dev/null
+++ b/dev-libs/libspiff/files/digest-libspiff-0.5.1
@@ -0,0 +1,3 @@
+MD5 db207780f10a03d04b8c1476197abe78 libspiff-0.5.1.tar.bz2 191756
+RMD160 06c9b97593c7f11c541c48b5a5836f978cf66500 libspiff-0.5.1.tar.bz2 191756
+SHA256 12360e698f4e4d979cb06278ccde327641dad2c8dcbbf9c521b1aec7ddf01ad8 libspiff-0.5.1.tar.bz2 191756
diff --git a/dev-libs/libspiff/libspiff-0.5.1.ebuild b/dev-libs/libspiff/libspiff-0.5.1.ebuild
new file mode 100644
index 000000000..dc47af62b
--- /dev/null
+++ b/dev-libs/libspiff/libspiff-0.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Library for XSPF playlist reading and writing"
+HOMEPAGE="http://libspiff.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="doc"
+
+RDEPEND=">=dev-libs/expat-1.95.8"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+src_compile() {
+ econf || die "configure failed"
+ emake || die "emake failed"
+
+ if use doc; then
+ ebegin "Creating documentation"
+ cd ${S}/doc
+ doxygen Doxyfile
+ eend 0
+ fi
+}
+
+
+src_install() {
+ emake DESTDIR=${D} install || die "make install failed"
+ dodoc README AUTHORS ChangeLog
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}/api
+ doins doc/html/*
+ fi
+}